<?php
/**
* @ignore
*/
if (!defined('IN_WEBCHAT'))
{
	exit;
}

// StalkerVL Version
define('WEBCHAT_VERSION', '0.0.1');

// User related
define('ANONYMOUS', 0);

define('USER_NORMAL', 0);
define('USER_INACTIVE', 1);
define('USER_IGNORE', 2);
define('USER_FOUNDER', 3);

// ACL
define('ACL_NEVER', 0);
define('ACL_YES', 1);
define('ACL_NO', -1);

// Login error codes
define('LOGIN_CONTINUE', 1);
define('LOGIN_BREAK', 2);
define('LOGIN_SUCCESS', 3);
define('LOGIN_SUCCESS_CREATE_PROFILE', 20);
define('LOGIN_ERROR_USERNAME', 10);
define('LOGIN_ERROR_PASSWORD', 11);
define('LOGIN_ERROR_ACTIVE', 12);
define('LOGIN_ERROR_ATTEMPTS', 13);
define('LOGIN_ERROR_EXTERNAL_AUTH', 14);
define('LOGIN_ERROR_PASSWORD_CONVERT', 15);
define('LOGIN_ERROR_CREATE_PROFILE', 16);

// Download Modes - Attachments
define('INLINE_LINK', 1);
// This mode is only used internally to allow modders extending the attachment functionality
define('PHYSICAL_LINK', 2);

// Confirm types
define('CONFIRM_REG', 1);
define('CONFIRM_LOGIN', 2);
define('CONFIRM_POST', 3);

// Table names
define('ACTIONS_TABLE',				$table_prefix . 'actions');
define('BANLIST_TABLE',				$table_prefix . 'banlist');
define('CONFIG_TABLE',				$table_prefix . 'config');
define('SETTINGS_TABLE',			$table_prefix . 'settings');
define('CHANNELS_TABLE',			$table_prefix . 'channels');
define('LOG_TABLE',					$table_prefix . 'log');
define('MESSAGES_TO_SEND_TABLE',	$table_prefix . 'messages_to_send');
define('SESSIONS_TABLE',			$table_prefix . 'sessions');
define('SESSIONS_KEYS_TABLE',		$table_prefix . 'sessions_keys');
define('SETTINGS_TABLE',			$table_prefix . 'settings');
define('USERS_TABLE',				$table_prefix . 'web_users');
define('USERS_ONLINE_TABLE',		$table_prefix . 'users_online');
define('USER_CHANNEL_TABLE',		$table_prefix . 'user_channel');
define('WARNINGS_TABLE',			$table_prefix . 'warnings');


function_exists('date_default_timezone_set') ? date_default_timezone_set('Asia/Vladivostok') : '';

// _chmod() permissions
@define('CHMOD_ALL', 7);
@define('CHMOD_READ', 4);
@define('CHMOD_WRITE', 2);
@define('CHMOD_EXECUTE', 1);

?>
