/* Настройки JQuery --------------------------------------------------------- */
$(document).ready(function(){

	$("#all_users").unmousewheel();
	$("#all_users").mousewheel(function(event,delta,deltaX,deltaY){
		var direct = deltaY > 0 ? 1 : -1;
		$(".users",this).stop(true,true);
		$(".users",this).queue(function () {
			//alert(this.offsetParent.offsetHeight - this.offsetHeight);
			if (this.offsetTop - direct < 0 && this.offsetTop - direct >    this.offsetParent.offsetHeight - this.offsetHeight)
			{
				$(this).dequeue();
			}
		}).animate({"top": "-="+25*direct+"px"}, 1000);
		return false;
	});

});

function dump(arr,level) {
	var dumped_text = "";
	if(!level) level = 0;

	//The padding given at the beginning of the line.
	var level_padding = "";
	for(var j=0;j<level+1;j++) level_padding += "		";

	if(typeof(arr) == 'object') { //Array/Hashes/Objects
		for(var item in arr) {
			var value = arr[item];

			if(typeof(value) == 'object') { //If it is an array,
				dumped_text += level_padding + "'" + item + "' ...\n";
				dumped_text += dump(value,level+1);
			} else {
				dumped_text += level_padding + "'" + item + "' => \"" + value + "\"\n";
			}
		}
	} else { //Stings/Chars/Numbers etc.
		dumped_text = "===>"+arr+"<===("+typeof(arr)+")";
	}
	return dumped_text;
}

function trim(str) {
	return str.replace(/^\s\s*/, '').replace(/\s\s*$/, '');
}
