<?php

/**
*
* @package WebCHAT
* @version $Id: index.php 1 2010-12-15 11:04:54 NeoSonic
* @copyright (c) NeoSonic
*
*/

/**
* @ignore
*/

define('IN_WEBCHAT', true);
//define('DEBUG', true);
$root_path = (defined('ROOT_PATH')) ? ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);

include($root_path . 'common.' . $phpEx);


$actions = request_var("actions","");
//$channel = request_var("","",true);
$server_address = request_var("server_address","");

switch ($actions)
{
	case "install":
		$body = "";
		$error = false;

		if (trim($server_address) == "")
		{
			$body = "Не введен адресс сервера";
			break;
		}

		$sql = "CREATE TABLE IF NOT EXISTS ". CONFIG_TABLE ." (
				`config_name` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
				`config_value` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
				`is_dynamic` tinyint(1) unsigned NOT NULL DEFAULT '0',
				PRIMARY KEY (`config_name`),
				KEY `is_dynamic` (`is_dynamic`)
				) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin";
		$body .= "<p>Создание таблицы config: ";
		if ($db->sql_query($sql))
			$body .= "Успешно";
		else
			$body .= $error = "Неудача";
		$body .= "</p>";

		$sql = "INSERT INTO ". CONFIG_TABLE ." (`config_name`, `config_value`, `is_dynamic`) VALUES
				('cookie_domain', '".$db->sql_escape(trim($server_address))."', 0),
				('server_name', '".$db->sql_escape(trim($server_address))."', 0),
				('rand_seed_last_update', '1310438257', 1),
				('active_sessions', '0', 0),
				('auth_method', 'db', 0),
				('browser_check', '1', 0),
				('cache_gc', '7200', 0),
				('cookie_name', 'webchat_8qv2q', 0),
				('cookie_path', '/', 0),
				('cookie_secure', '0', 0),
				('database_gc', '604800', 0),
				('default_dateformat', '|d M Y|, H:i', 0),
				('force_server_vars', '1', 0),
				('allow_autologin', '1', 0),
				('gzip_compress', '0', 0),
				('ip_check', '2', 0),
				('load_search', '1', 0),
				('load_tplcompile', '0', 0),
				('max_autologin_time', '0', 0),
				('max_login_attempts', '3', 0),
				('max_name_chars', '20', 0),
				('max_pass_chars', '30', 0),
				('min_name_chars', '3', 0),
				('min_pass_chars', '6', 0),
				('queue_interval', '600', 0),
				('script_path', '/', 0),
				('server_port', '80', 0),
				('server_protocol', 'http://', 0),
				('session_gc', '3600', 0),
				('session_length', '3600', 0),
				('site_desc', '', 0),
				('sitename', 'StalkerVL.ru', 0),
				('version', '3.0.7-PL1', 0),
				('cache_last_gc', '1289434395', 1),
				('rand_seed', '5dcd2255dcaf587895c635becd04c191', 1),
				('ping', '0', 1),
				('session_last_gc', '1310435275', 1),
				('ping_check', '1', 0),
				('smilies_enabled', '1', 0),
				('bot_nick', 'webchat', 0)";
		$body .= "<p>Заполнение таблицы config: ";
		if ($db->sql_query($sql))
			$body .= "Успешно";
		else
			$body .= $error = "Неудача";
		$body .= "</p>";

		$sql = "CREATE TABLE IF NOT EXISTS ". SESSIONS_TABLE ." (
				`session_id` varchar(32) COLLATE utf8_bin NOT NULL,
				`session_user_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
				`session_forum_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
				`session_last_visit` int(11) unsigned NOT NULL DEFAULT '0',
				`session_start` int(11) unsigned NOT NULL DEFAULT '0',
				`session_time` int(11) unsigned NOT NULL DEFAULT '0',
				`session_ip` varchar(40) COLLATE utf8_bin NOT NULL DEFAULT '',
				`session_browser` varchar(150) COLLATE utf8_bin NOT NULL DEFAULT '',
				`session_forwarded_for` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
				`session_page` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
				`session_viewonline` tinyint(1) unsigned NOT NULL DEFAULT '1',
				`session_autologin` tinyint(1) unsigned NOT NULL DEFAULT '0',
				`session_admin` tinyint(1) unsigned NOT NULL DEFAULT '0',
				PRIMARY KEY (`session_id`),
				KEY `session_time` (`session_time`),
				KEY `session_user_id` (`session_user_id`),
				KEY `session_fid` (`session_forum_id`)
				) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;";
		$body .= "<p>Создание таблицы sessions: ";
		if ($db->sql_query($sql))
			$body .= "Успешно";
		else
			$body .= $error = "Неудача";
		$body .= "</p>";

		$sql = "CREATE TABLE IF NOT EXISTS ". SESSIONS_KEYS_TABLE ." (
				`key_id` varchar(32) COLLATE utf8_bin NOT NULL,
				`user_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
				`last_ip` varchar(40) COLLATE utf8_bin NOT NULL DEFAULT '',
				`last_login` int(11) unsigned NOT NULL DEFAULT '0',
				PRIMARY KEY (`key_id`,`user_id`),
				KEY `last_login` (`last_login`)
				) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin";
		$body .= "<p>Создание таблицы sessions_keys: ";
		if ($db->sql_query($sql))
			$body .= "Успешно";
		else
			$body .= $error = "Неудача";
		$body .= "</p>";
	break;

	default:
	$body = "
	<div>
		<form method='post' action='/install.php'>
			<p>Адресс сервера:<input type='text' name='server_address' /></p>
			<p>Пример: chat.example.com, mychat.ru, ...</p>
			<input type='hidden' name='actions' value='install' />
			<input type='submit' name='' value='Установить' />
		</form>
	</div>";
}


?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" lang="ru-ru" xml:lang="ru-ru">
<head>

<meta http-equiv="content-type" content="text/html; charset=UTF8" />
<meta http-equiv="content-language" content="ru-ru" />
<meta http-equiv="content-style-type" content="text/css" />
<meta http-equiv="cache-control" content="no-cache" />
<meta http-equiv="Pragma" content="no-cache" />
<meta http-equiv="imagetoolbar" content="no" />
<meta name="resource-type" content="document" />
<meta name="distribution" content="global" />
<meta name="copyright" content="2011 NeoSonic" />
<!-- <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" /> -->
<title>Установка ВебЧата CommFort </title>

<link href="images/favicon.ico" type="image/x-icon" rel="shortcut icon" />
<link rel="stylesheet" href="{T_STYLESHEET_LINK}" type="text/css" />

</head>

<body>

	<? echo $body; ?>

</body>
</html>

